#include "TROOT.h" 
#include "TFile.h" 
#include "TH1D.h" 
#include <iostream>
#include "TCanvas.h"
#include "stdlib.h"
#include "globals.h"


using namespace std; 

static class ROOTInitializer { 
	public: 
		ROOTInitializer() 
		{

			if (gROOT->IsBatch()) {
				fprintf(stderr,"Application cannot run in batch mode\n");
				exit(1);
			}
		}
		~ROOTInitializer()
		{ 
			rootfile_->Write(); 
		} 
} rootinitilizer; 

